h34919
s 00063/00000/00000
d D 1.1 83/03/23 16:21:34 bog 1 0
c date and time created 83/03/23 16:21:34 by bog
e
u
4
U
t
T
I 1
`############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#	Function:  							    #
#		EmXSpK							    #
#		    Emulator Special Keys Common Definition		    #
#									    #
#	Called By:							    #
#		included in most Emulator modules			    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
',`dnl
CommonOrg
# Length of string against which current match being attempted
CommonCVar(`MLookLn')		CHARACTER LookLn
 
# Pointer (index) to first special key string structure
CommonCVar(`MTargPt')		CHARACTER TargPt
 
# Special key substitution structure
#  Target(Ptr+0):		Pointer to next; 0 if last
#  Target(Ptr+1):		1 if this string matches so far, 0 if not
#  Target(Ptr+2):		Character to which string is translated
#  Target(Ptr+3):		Length of string to look for
#  Target(Ptr+4..Ptr+n):	String for which to look
 define(`MATCHSOFAR',1)dnl
 define(`TRANSLATION',2)dnl
 define(`STRINGLENGTH',3)dnl
 define(`STRING',3)dnl		#Target(Ptr+STRING+1) is first char of string
CommonCVar(`MTarget',9*14)	CHARACTER Target(eval(9*14))
 
# Stack for characters returned to GETKB after mismatch
CommonCVar(`MKbStak',80)	CHARACTER KbStak(80)
CommonCVar(`MKbTos')		CHARACTER KbTos
 
# Configurating or Going switch
CommonLVar(`MGoing')		LOGICAL Going
 
# Editing string or normal switch
CommonLVar(`MEdting')		LOGICAL Edting
 
CommonCArray(`CSpKey')
CommonLArray(`LSpKey')
',`dnl
Common	/KbSpKy/ CSpKey,LSpKey
',`dnl
Equivalence	(LookLn,	CSpKey(MLookLn))
Equivalence	(TargPt,	CSpKey(MTargPt))
Equivalence	(Target(1),	CSpKey(MTarget))
Equivalence	(KbStak(1),	CSpKey(MKbStak))
Equivalence	(KbTos,		CSpKey(MKbTos))
Equivalence	(Going,		LSpKey(MGoing))
Equivalence	(Edting,	LSpKey(MEdting))
'dnl
E 1
